<script setup lang="ts">
import { useStockMeatStore } from "@/stores/stockMeat";
import { ref } from "vue";

const stockMeatStore = useStockMeatStore();

const delStockMeat = (id_Meat: number): void => {
  stockMeatStore.deleteStockMeat(id_Meat);
};

const cancelMeat = () => {
  stockMeatStore.deleteDialog = false;
};
</script>

<template>
  <v-row justify="center">
    <v-dialog v-model="stockMeatStore.deleteDialog" persistent width="auto">
      <v-card>
        <v-card-title class="text-h5"> Delete stock item </v-card-title>
        <v-card-text>Are you sure want delete this item?</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue-darken-1" variant="text" @click="cancelMeat()">
            Cancel
          </v-btn>
          <v-btn
            color="blue-darken-1"
            class="font-weight-bold ma-1"
            @click="delStockMeat"
          >
            Yes
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<style></style>
